# __gnu_cxx::__pool_base Struct Reference

Inheritance diagram for __gnu_cxx::__pool_base:

List of all members.

## Detailed Description

Definition at line 50 of file mt_allocator.h.

## Public Types

- typedef unsigned short int _Binmap_type

## Public Member Functions

- __pool_base (const _Tune &__options)
- __pool_base ()
- bool _M_check_threshold (size_t __bytes)
- const size_t _M_get_align ()
- size_t _M_get_binmap (size_t __bytes)
- const _Tune & _M_get_options () const
- void _M_set_options (_Tune __t)

## Protected Attributes

- _Binmap_type * _M_binmap
- bool _M_init
- _Tune _M_options

## Classes

- struct _Block_address
- struct _Tune

The documentation for this struct was generated from the following file:

- mt_allocator.h